[Unit]
Description=WSSSH Tunnel Setup Tool
After=network.target syslog.target
Requires=network.target
ConditionPathExists=!/etc/init.d/wsssht
ConditionPathExists=!/var/run/wsssht-watchdog.pid

[Service]
Type=forking
User=wsssht
Group=wsssht
EnvironmentFile=-/etc/default/wsssht
ExecStart=/usr/sbin/wsssht-watchdog start
ExecStop=/usr/sbin/wsssht-watchdog stop
ExecReload=/usr/sbin/wsssht-watchdog restart
PIDFile=/var/run/wsssht-watchdog.pid
Restart=on-failure
RestartSec=5

[Install]
WantedBy=multi-user.target